using UnityEngine;

[System.Serializable]
public class DamageVisual
{
    [Range(0, 100)]
    public int Min;
    [Range(0, 100)]
    public int Max;

    public ParticleSystem SystemToBeSpawned;
    private ParticleSystem _particleSystem;

    public void SetParticleSystem(ParticleSystem system)
    {
        _particleSystem = system;
    }

    public void Pause()
    {
        _particleSystem.Stop(false, ParticleSystemStopBehavior.StopEmitting);
    }

    public void Play()
    {
        _particleSystem.Play(true);
    }
}
